# Fonts.css -- 跨平台中文字体解决方案

一直以来跨平台的中文字体 CSS 设置都是一件让人很头疼的事情，这个库打包了一些常见字体的名字，希望能覆盖 Windows、Mac 以及 Linux 的常见字体，方便引用。在 font-family 直接支持宋、楷、黑和仿宋之前，我觉得这样一种解决方案依然还是有其存在价值的。

## Demo & Doc

http://zenozeng.github.io/fonts.css/

## NPM

```bash
npm install fonts.css --save
```

## Usage

```html
<head>
    <link rel="stylesheet" type="text/css" href="fonts.css" />
</head>
<body>
    <p class="font-kai">
        故天将降大任于是人也必先苦其心智劳其筋骨饿其体肤空乏其身行弗乱其所为所以动心忍性曾益其所不能
    </p>
</body>
```

# Contributors

- [@blackgear](https://github.com/blackgear)
- [@Bubblings](https://github.com/Bubblings)
- [@DreaminginCodeZH](https://github.com/DreaminginCodeZH)
- [@fyears](https://github.com/fyears)
- [@Hexcles](https://github.com/Hexcles)
- [@xhacker](https://github.com/xhacker)
- [@YuzhongHuangCS](https://github.com/YuzhongHuangCS)
- [@yzyzsun](https://github.com/yzyzsun)

# License

Copyright (C) 2013-2018 Zeno Zeng and contributors

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

# Footnote

- [不同版本的 Office 提供的字体](http://office.microsoft.com/zh-cn/powerpoint-help/HA010282644.aspx)

- [Microsoft Software License Agreement](http://office.microsoft.com/en-us/products/microsoft-software-license-agreement-FX103576343.aspx)

- [WPS Office Linux版最终用户协议](http://community.wps.cn/wiki/WPS_Office_Linux%E7%89%88%E6%9C%80%E7%BB%88%E7%94%A8%E6%88%B7%E5%8D%8F%E8%AE%AE)

- [如何保证网页的字体在各平台都尽量显示为最高质量的黑体？](http://www.zhihu.com/question/19911793)

- [Web 中文字体应用指南](http://ruby-china.org/topics/14005)

- [Helvetica](http://zh.wikipedia.org/wiki/Helvetica)

- [Linux Font Equivalents to Popular Web Typefaces](https://mondaybynoon.com/linux-font-equivalents-to-popular-web-typefaces/)

- [Fonts supplied with Windows XP](http://www.microsoft.com/typography/fonts/winxp.htm)

- [Mac OS X v10.6: Fonts list](http://support.apple.com/kb/ht5154)
